org.eclipse.emf.cdo.common.model

## Interface CDOPackageRegistry

- All Superinterfaces:
    EPackage.Registry, java.util.Map<java.lang.String,java.lang.Object>
  All Known Subinterfaces:
    InternalCDOPackageRegistry
  All Known Implementing Classes:
    DelegatingCDOPackageRegistry

      public interface CDOPackageRegistry
      extends EPackage.Registry

  An EMF `package registry` that is used by CDO `repositories` and `sessions`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.ecore.EPackage.Registry

      `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EEnumLiteral` | `getEnumLiteralFor(Enumerator value)`
    `CDOPackageInfo` | `getPackageInfo(EPackage ePackage)`
    `CDOPackageInfo[]` | `getPackageInfos()` Returns all package infos that are registered in this package registry.
    `CDOPackageUnit` | `getPackageUnit(EPackage ePackage)`
    `CDOPackageUnit` | `getPackageUnit(java.lang.String id)`
    `CDOPackageUnit[]` | `getPackageUnits()` Returns all package units that are registered in this package registry.
    `CDOPackageUnit[]` | `getPackageUnits(long startTime, long endTime)`
    `java.util.Map<EClass,java.util.List<EClass>>` | `getSubTypes()`
    `boolean` | `isReplacingDescriptors()`
    `java.lang.Object` | `putEPackage(EPackage ePackage)` Registers an `EPackage` with this package registry.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage.Registry

      `getEFactory, getEPackage`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### isReplacingDescriptors

          boolean isReplacingDescriptors()

    - #### putEPackage

          java.lang.Object putEPackage(EPackage ePackage)

      Registers an `EPackage` with this package registry.

    - #### getPackageUnit

          CDOPackageUnit getPackageUnit(java.lang.String id)

      Since:
        3.0

    - #### getPackageUnit

          CDOPackageUnit getPackageUnit(EPackage ePackage)

    - #### getPackageUnits

          CDOPackageUnit[] getPackageUnits()

      Returns all package units that are registered in this package registry.
      Since:
        3.0

    - #### getPackageUnits

          CDOPackageUnit[] getPackageUnits(long startTime,
                                           long endTime)

      Since:
        3.0

    - #### getPackageInfo

          CDOPackageInfo getPackageInfo(EPackage ePackage)

    - #### getPackageInfos

          CDOPackageInfo[] getPackageInfos()

      Returns all package infos that are registered in this package registry.

    - #### getSubTypes

          java.util.Map<EClass,java.util.List<EClass>> getSubTypes()

      Since:
        4.0

    - #### getEnumLiteralFor

          EEnumLiteral getEnumLiteralFor(Enumerator value)

      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html